using System;

class Program
{
    static void Main()
    {
        string[] trenutniRezultat = Console.ReadLine().Split(' ');
        string[] buduciRezultat = Console.ReadLine().Split(' ');

        int trenutniRezultat1 = int.Parse(trenutniRezultat[0]);
        int trenutniRezultat2 = int.Parse(trenutniRezultat[1]);
        int buduciRezultat1 = int.Parse(buduciRezultat[0]);
        int buduciRezultat2 = int.Parse(buduciRezultat[1]);

        if (trenutniRezultat1 == buduciRezultat1)
        {
            if (buduciRezultat2 < trenutniRezultat2)
            {
                Console.WriteLine("drugi");
            }
            else
            {
                Console.WriteLine("nijedan");
            }
        }
        else if (trenutniRezultat2 == buduciRezultat2)
        {
            Console.WriteLine("prvi");
        }
        else
        {
            Console.WriteLine("?");
        }

        Console.ReadLine();
    }
}